/*

  REXX Script to install Internet Adventurer - and create a desktop folder

*/

if RxFuncQuery('SysLoadFuncs') then do
   call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   call SysLoadFuncs
end

say "Installing..."

dir = directory() || '\'

say "Creating folder"
call SysCreateObject "WPFolder", "Internet" || d2c(10) || "Adventurer", "<WP_DESKTOP>", "OBJECTID=<INETADVFOLDER>", "replace"

say "Creating program objects"
call SysCreateObject "WPProgram", "Internet Adventurer", "<INETADVFOLDER>", "EXENAME=" || dir || "INETADV.EXE;STARTUPDIR=" || dir || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;"
call SysCreateObject "WPProgram", "Readme First", "<INETADVFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "README.TXT", "replace"
call SysCreateObject "WPProgram", "Get legal and" || d2c(10) || "Register", "<INETADVFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "REGISTER.TXT", "replace"
call SysCreateObject "WPProgram", "Import quicklist" || d2c(10) || "from WebExplorer", "<INETADVFOLDER>", "EXENAME=CMD.EXE;PARAMETERS=/C " || dir || "IMPORT.CMD;STARTUPDIR=" || dir, "replace"
call SysCreateObject "WPProgram", "Export quicklist" || d2c(10) || "to quicklist.txt", "<INETADVFOLDER>", "EXENAME=CMD.EXE;PARAMETERS=/C " || dir || "QEXPORT.CMD;STARTUPDIR=" || dir, "replace"
call SysCreateObject "WPProgram", "Import quicklist" || d2c(10) || "from quicklist.txt", "<INETADVFOLDER>", "EXENAME=CMD.EXE;PARAMETERS=/C " || dir || "QIMPORT.CMD;STARTUPDIR=" || dir, "replace"
call SysCreateObject "WPProgram", "Edit quicklist.txt", "<INETADVFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "QUICKLST.TXT;STARTUPDIR=" || dir, "replace"
call SysCreateObject "WPProgram", "Uninstall", "<INETADVFOLDER>", "EXENAME=CMD.EXE;PARAMETERS=" || dir || "/C" dir || "UNINST.CMD", "replace"

say "Delete news database ? (must be done when installing over v0.25)"
parse upper pull answer .

if left(answer, 1) \= 'Y' then do
   say "Installation completed - not deleting news database"
   exit
end

say "Deleting news database"
'del art*'
'del newsgrp.*'

say "Installation completed"
